io.etcd.jetcd.api

## Interface DeleteRangeRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  DeleteRangeRequest, DeleteRangeRequest.Builder

    public interface DeleteRangeRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`com.google.protobuf.ByteString` `getKey()` key is the first key to delete in the range.
`boolean` `getPrevKv()` If prev_kv is set, etcd gets the previous key-value pairs before deleting it.
`com.google.protobuf.ByteString` `getRangeEnd()` range_end is the key following the last key to delete for the range [key, range_end).

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getKey

    com.google.protobuf.ByteString getKey()

     key is the first key to delete in the range.

`bytes key = 1;`

Returns:
  The key.

#### getRangeEnd

    com.google.protobuf.ByteString getRangeEnd()

     range_end is the key following the last key to delete for the range [key, range_end).
     If range_end is not given, the range is defined to contain only the key argument.
     If range_end is one bit larger than the given key, then the range is all the keys
     with the prefix (the given key).
     If range_end is '\0', the range is all keys greater than or equal to the key argument.

`bytes range_end = 2;`

Returns:
  The rangeEnd.

#### getPrevKv

    boolean getPrevKv()

     If prev_kv is set, etcd gets the previous key-value pairs before deleting it.
     The previous key-value pairs will be returned in the delete response.

`bool prev_kv = 3;`

Returns:
  The prevKv.